TO_FASTA.PY(1)

NAME
to_fasta.py - Remove adapters and collapse reads from FASTQ to FASTA

DESCRIPTION
usage: to_fasta.py [-h] [-3 SEQ] [-5 SEQ] [--trim-5p BP] [--trim-3p BP]

    [--seed-5p BP] [--seed-3p BP] [-m BP] [-x BP] [-s] [-B] [-a] FASTQ

Remove adapters and collapse reads from FASTQ to FASTA

  positional arguments:

FASTQ
    including stdin or compressed file {zip,gz,tar,bz}

  optional arguments:

-h, --help
    show this help message and exit

-3 SEQ
    3'adapter sequence

-5 SEQ
    5'adapter sequence

--trim-5p BP
    trim specified number of bases from 5'ends

--trim-3p BP
    trim specified number of bases from 3'ends

--seed-5p BP
    5' adapter match length in bp (default: 7)

--seed-3p BP
    3' adapter match length in bp (default: 7)

-m BP
    minimum read length in bp (default: 16)

-x BP
    maximum read length in bp (default: 36)

-s  sensitive adapter search with 1 mismatch (default: off)

-B  only print the reads with both 5' and 3' adapter matches

-a  print all reads with and without adapter matches if the reads are in the range specified with '-m' and '-x'

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.